#!/usr/bin/sh

git fetch --all
git reset --hard origin/master

mkdir -p tonitch
export PKGDEST=$(pwd)/tonitch
rm -rf $PKGDEST/*

packagelist=$(find . -maxdepth 1 -type d -printf '%P\n' | sed '/tonitch/d' | sed '/\./d')

for d in $packagelist
do
	cd $d
	makepkg -f --nodeps
	cd ..
done

cd $PKGDEST
repo-add tonitch.db.tar.gz *.pkg.tar.zst
